Autor Thema: yafray 0.0.6 precompiled  (Gelesen 5451 mal)

andreas@rootprompt

  • Gast
yafray 0.0.6 precompiled
« am: 09. Januar 2004, 09:03:53 »
yafray (Yet Another Free RayTracer) reift inzwischen immer mehr und dank Skywriter haben wir hier: http://www.irixcentral.com/blender/ auch gleich eine fertig gebackene Version des Teils - auf der gleichen Seite gibt's übrigens auch frische blender nightly builds.

Ach so, die Website von yafray: http://www.coala.uniovi.es/~jandro/noname/

mood-indigo.org - Das unabhängige Silicon Graphics User Forum

yafray 0.0.6 precompiled
« am: 09. Januar 2004, 09:03:53 »

Impact

  • Gast
Re: yafray 0.0.6 precompiled
« Antwort #1 am: 11. Januar 2004, 00:46:23 »
Dank lieber demjenigen der das gebacken hat und nicht der es gepostet hat ;)
Die Danksagungen gehen an einen Kerl aus den Staaten mit dem Pseudonym "irixcoz" (Namen will ich hier nicht direkt nennen)  ;)
Grüsse,
Markus

andreas@rootprompt

  • Gast
Re: yafray 0.0.6 precompiled
« Antwort #2 am: 11. Januar 2004, 01:16:37 »
keine Ahnung wer der Mann mit dem geheimnisvollen Namen ist, aber die binaries kommen von Skywriter (der übrigens seit Ewigkeiten bei der Blender Entwicklung dabei ist).

Impact

  • Gast
Re: yafray 0.0.6 precompiled
« Antwort #3 am: 11. Januar 2004, 01:32:50 »
Ja, die Geschichte mit Blender kann sein - da kann ich aber nicht mitreden.
Aber bei der Entstehung von yafray für IRIX war ich Live mit im Channel dabei   ;)
Aber ist ja auch wurscht  ;D
Grüsse,
Markus

andreas@rootprompt

  • Gast
Re: yafray 0.0.6 precompiled
« Antwort #4 am: 11. Januar 2004, 01:36:54 »
nu ja, möglicherweise gibt es einfach mehrere Leute die in der Lage sind, yafray zu kompilieren. Zumindest bei der 0.0.4er (an der hatte ich mich mal versucht) war das nicht so das große Problem.

Viel interessanter finde ich Skywriters Ambitionen den IrisGL-Code wieder in den aktuellen Blenderbranch einzubauen. Da freuen sich die alten Kisten :)

rob_gester

  • Gast
Re: yafray 0.0.6 precompiled
« Antwort #5 am: 21. Januar 2004, 12:18:07 »
hi,
ich kriege error messages beim starten von yafray :( :

bash-2.05b$ ./yafray
2520:./yafray: rld: Error: unresolvable symbol in /usr/local/lib/libyafraycore.so: wmemcpy
2520:./yafray: rld: Error: unresolvable symbol in /usr/local/lib/libyafraycore.so: wmemset
2520:./yafray: rld: Error: unresolvable symbol in /usr/local/lib/libyafraycore.so: wmemchr
2520:./yafray: rld: Error: unresolvable symbol in /usr/local/lib/libyafraycore.so: wmemmove
2520:./yafray: rld: Error: unresolvable symbol in /usr/local/lib/libyafraycore.so: wmemcmp
2520:./yafray: rld: Error: unresolvable symbol in /usr/local/lib/libyafraycore.so: wcsrtombs
2520:./yafray: rld: Error: unresolvable symbol in /usr/local/lib/libyafraycore.so: _xpg5_wcsftime
2520:./yafray: rld: Error: unresolvable symbol in /usr/local/lib/libyafraycore.so: mbsrtowcs
2520:./yafray: rld: Fatal Error: this executable has unresolvable symbols
bash-2.05b$

es ist irix 6.5.11 drauf. weiss jemand bescheid, was noch fehlt?
danke.
rob

update:
das info von der yafray website:
'note:this build of yafray is not expected to work with .16 or less due to support for wide character arrays, we will address this ASAP.'

ist da 6.5.16 von irix gemeint ::) ???
« Letzte Änderung: 21. Januar 2004, 12:24:35 von rob_gester »

Holger251

  • Gast
Re: yafray 0.0.6 precompiled
« Antwort #6 am: 21. Januar 2004, 15:09:24 »
also bei mir (Irix 6.5.19m) sagt man wmemcpy folgendes:

--snip --
wmemstring: wmemchr, wmemcmp, wmemcpy, wmemmove, wmemset - wide character array functions
-- snip --

und die scheint es in 6.5.11 noch nicht zu geben.

"Those functions are supported in n32 and 64 bit C Libraries for IRIX
    6.5.17 and later versions."

Gruss,
Holger
« Letzte Änderung: 21. Januar 2004, 15:44:56 von Holger251 »

rob_gester

  • Gast
Re: yafray 0.0.6 precompiled
« Antwort #7 am: 21. Januar 2004, 18:55:47 »
@holger251
na dannn ist jede klarheit beseitigt.
danke ;) :) :D
rob